<template>
    <el-container>
      <el-aside>
        <basic-container style="height: 85vh; max-height: 155vh; overflow-y: scroll;">
<!--          树组件-->
          <master-tree @codeClassifyOid="codeClassifyOidList"
                       @coderuleoid="coderuleoidList"
                       :pageSize="this.pageSize"
                       :currentPage="this.currentPage"
                       :templateOid="this.templateOid"
                       @tableDataArray="tableDataArrays"

                        ></master-tree>
        </basic-container>
      </el-aside>
      <el-main>
<!--        表格组件-->
      <TableCrud :page="this.page"
                 :codeClassifyOid="this.codeClassifyOid"
                 :coderuleoid="this.coderuleoid"
                 @pageSize="pageSizes"
                 @currentPage="currentPages"
                 @templateOid="templateOids"
                 :tableDataArray="tableDataArray"
      ></TableCrud>
      </el-main>
    </el-container>
</template>

<script>
export default {
  name: "items.vue",
  data(){
    return{
      // 分页
      page: {
        total: 0,
        currentPage: 1,
        pageSize: 10,
        pageSizes: [10, 30, 50, 100, 200],
      },
      pageSize:"10",
      currentPage:"1",
      codeClassifyOid:"",
      coderuleoid:"",
      templateOid:"",
      tableDataArray:[]
    }
  },
  created() {
  },
  methods:{
    codeClassifyOidList(val){
      this.codeClassifyOid=val;
      console.log(val)
    },
    coderuleoidList(val){
      this.coderuleoid=val;
    },
    pageSizes(val){
      this.pageSize=val
    },
    currentPages(val){
      this.currentPage=val
    },
    templateOids(val){
      this.templateOid=val
    },
    tableDataArrays(val){
      this.tableDataArray=val
    }
  }
}
</script>

<style scoped>

</style>
